### Function

# EDataServer memchunk_alloc0

#### Declaration [src]

    gpointer
    e_memchunk_alloc0 (
      EMemChunk* memchunk
    )

#### Description [src]

Allocate a new atom size block of memory from an `EMemChunk`, and fill the memory with zeros. Free the returned atom with e_memchunk_free().

This function is not directly available to language bindings.

#### Parameters

`memchunk`

  Type: `EMemChunk`

  An `EMemChunk`.

  The data is owned by the caller of the function.

#### Return value

Type: `gpointer`

An allocated block of memory.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.